use std::str::Utf8Error;

pub mod args;
pub mod conf;

#[inline]
pub fn decode(buf: &[u8]) -> Result<String, Utf8Error> {
    match std::str::from_utf8(buf) {
        Ok(s) => Ok(s.to_string()),
        Err(err) => Err(err.into()),
    }
}
